Bug 27990 - XFree86 on siliconmotion 950 crashes
Summary: XFree86 on siliconmotion 950 crashes
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-16 17:20 UTC by Gerald Teschl
Modified: 2007-03-27 03:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 15:22:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2001-02-16 17:20:21 UTC
The XFree86 server (4.0.2) will crash right at the start on an SM950 chip.
You will get the gray X background plus the cursor and then the machine
will
freeze (no keybord, no loginig in via ssh). This is an ASUS L7300 Laptop.
See beta hw #12.

Comment 1 Preston Brown 2001-02-17 21:22:43 UTC
we don't have pci ids for this card:

Can I have output of lspci and lspci -v?

We have switched back to XFree86 3.3.6 for all silicon motion chips except the
LynxEM for our next beta release.

Comment 2 Glen Foster 2001-02-17 23:29:28 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 3 Gerald Teschl 2001-02-19 10:18:46 UTC
[root@soliton /root]# lspci
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (AGP
disabled) (rev 03)
00:02.0 VGA compatible controller: Silicon Motion, Inc. SM910 (rev b5)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 02)
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 02)
[root@soliton /root]# lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (AGP
disabled) (rev 03)
        Flags: bus master, medium devsel, latency 64
        Memory at f8000000 (32-bit, prefetchable) [size=64M]

00:02.0 VGA compatible controller: Silicon Motion, Inc. SM910 (rev b5) (prog-if
00 [VGA])
        Subsystem: Silicon Motion, Inc. SM910
        Flags: medium devsel, IRQ 9
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fcd0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: medium devsel, IRQ 11
        I/O ports at fce0 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
        Flags: medium devsel
 
00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 02)
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00001000-000010ff
        I/O window 1: 00001400-000014ff
        16-bit legacy interface ports at 0001
 
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 02)
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=176
        Memory window 0: 10c00000-10fff000 (prefetchable)
        Memory window 1: 11000000-113ff000
        I/O window 0: 00001800-000018ff
        I/O window 1: 00001c00-00001cff
        16-bit legacy interface ports at 0001

Comment 4 Preston Brown 2001-02-26 19:09:13 UTC
this should be working in Wolverine...please re-open if this is not the case.

Comment 5 Gerald Teschl 2001-02-27 15:43:19 UTC
Just tested it with XFree86-4.0.2-10. Almost same result. X will now crash when
the
splash screen of gnome appears.

Comment 6 Preston Brown 2001-03-05 04:54:09 UTC
We switched to the 3.3.6 server, apparently that's not working either.

Looks like this card may not be well supported in this release unfortunately.

Comment 7 Gerald Teschl 2001-03-05 10:32:53 UTC
The 3.3.6 server works fine for me if I use 24 bpp. If I use 16bpp there are
some minor
problems: The card will switch the vga output from internal LCD to external
monitor
when I switch from a VT to X and when the screen saver kicks in. However,
I can switch back to the LCD using the keyboard.

Comment 8 Gerald Teschl 2001-03-23 14:48:17 UTC
Still broken in 4.0.3

Comment 9 Gerald Teschl 2001-06-28 15:21:59 UTC
Still broken in 4.1 from rawhide.


Comment 10 Mike A. Harris 2001-11-01 12:50:36 UTC
I suggest reporting this bug upstream to XFree86 directly, as there
is not much we can do.  Test the latest XFree86 4.1.0-3 server out,
and then please file a report via email to:

xfree86@xfree86.org

XFree86 3.3.6 is no longer maintained.


Comment 11 Gerald Teschl 2001-11-01 21:16:04 UTC
4.1.0-3 will lock up the box right the second you start x. I did already report
the problem to the XFree project. I do however understand that there is
nothong redhat can do about it;-(


Note You need to log in before you can comment on or make changes to this bug.